Skip to main content
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
delivery-channels
List Delivery Channels for project
curl --request GET \
  --url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/delivery-channels \
  --header 'X-Access-Key: <api-key>'
{
  "delivery_channels": [
    {
      "id": "b16b4b75-e034-44c9-a053-f10d769a1d64",
      "type": "email",
      "owner_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
      "project_id": null,
      "label": "Email: vanja@tenderly.co",
      "reference_id": "vanja@tenderly.co",
      "enabled": true,
      "created_at": "2022-04-13T14:30:10.920586Z",
      "information": {
        "email": "vanja@tenderly.co",
        "emails": [
          "vanja@tenderly.co"
        ]
      }
    },
    {
      "id": "f48f1f9f-1f74-4849-81cf-fce8bd3746b7",
      "type": "slack",
      "owner_id": "7d5e8b1f-8bf8-4eae-a70f-fb7d354b1cc2",
      "project_id": null,
      "label": "#dzimiks-dashboard-alerts in Tenderly",
      "reference_id": "C026DRJ78GL",
      "enabled": true,
      "created_at": "2023-01-11T17:05:54.689698Z",
      "information": {
        "team_name": "",
        "channel_name": "#dzimiks-dashboard-alerts"
      }
    }
  ]
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account slug of the user

projectSlug
string
required

Project slug of the account

Response

A successful response.

An object with details about delivery channels for project.

delivery_channels
object[]